{ self, nixpkgs, system }:
with (import nixpkgs {
  inherit system;
  config = { allowUnfree = true; };
});
rec {
  q3iso = fetchurl {
    url = "https://archive.org/download/quake-iii/Quake%20III.iso";
    name = "QuakeIII.iso";
    sha256 = "1qgk5kx7mf75dvlf54x15dpvjvwwh27q6m3cgg8gyiv57hw20cp9";
  };
  baseq3 = stdenv.mkDerivation {
    name = "baseq3";
    src = q3iso;
    nativeBuildInputs = [ p7zip ];
    unpackPhase = ''
      7z x $src
    '';
    installPhase = ''
      mkdir $out
      cp -av baseq3/* $out/
      ln -s ${quake3pointrelease}/baseq3/* $out/
      ln -s ${../q3config_server.cfg} $out/q3config_server.cfg
    '';
  };
}
